Bug 185294 - iptables missing connrate module
iptables missing connrate module
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-03-13 07:53 EST by João Mauricio de O. Alves
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-17 17:28:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description João Mauricio de O. Alves 2006-03-13 07:53:36 EST
Description of problem:
The iptables package does not have the connrate module

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
iptables -A INPUT -p tcp --dport 4567 -m connrate --connrate ! 0:30720 -j DROP
Actual results:
iptables v1.3.0: Couldn't load match
`connrate':/lib/iptables/libipt_connrate.so: cannot open shared object file: No
such file or directory

Try `iptables -h' or 'iptables --help' for more information.

Expected results:
The rule should be accepted

Additional info:
The release iptables-1.3.5-1.2 has the same problem
Comment 1 Thomas Woerner 2006-03-15 04:51:30 EST
connlimit is not enabled in the kernel and is not available in glibc-kernheaders.

Assigning to kernel.

Please reassign to glibc-kernheaders and iptbales after it made it into the kernel.
Comment 2 Dave Jones 2006-03-17 17:28:30 EST
This will happen a lot faster if you ask the upstream developers to push this to
the next upstream kernel release.

Note You need to log in before you can comment on or make changes to this bug.